# For Haskell Packaging Guidelines see:
# - https://fedoraproject.org/wiki/Packaging:Haskell
# - https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name hashable

# common part of summary for all the subpackages
%global common_summary Haskell class for conversion to a hash

# main description used for all the subpackages
%global common_description This package defines a class, Hashable, for types that can be\
converted to a hash value. This class exists for the benefit of\
hashing-based data structures. The package provides instances for\
basic types and a way to combine hash values.

Name:           ghc-%{pkg_name}
Version:        1.0.0
Release:        2%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        BSD
# BEGIN cabal2spec
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
ExclusiveArch:  %{ghc_arches}
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
%if %{undefined without_hscolour}
BuildRequires:  hscolour
%endif
# END cabal2spec
BuildRequires:  ghc-bytestring-prof, ghc-text-prof

%description
%{common_description}


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


# define the shared, devel and prof subpkgs, devel scripts,
# and filelists: ghc-hashable.files, ghc-@PACKAGE@-devel.files
%ghc_lib_package


%changelog
* Sat Oct  8 2011 Jens Petersen <petersen@redhat.com> - 1.0.0-2
- condition BR hscolour

* Mon Aug 22 2011 Jens Petersen <petersen@redhat.com> - 1.0.0-1
- BSD

* Mon Aug 22 2011 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 1.1.2.1-0
- initial packaging for Fedora automatically generated by cabal2spec-0.23.2
